<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>METSlib</title>
    <filename>main</filename>
    <docanchor file="main">Introduction</docanchor>
  </compound>
  <compound kind="group">
    <name>common</name>
    <title>Common pieces</title>
    <filename>a00052.html</filename>
    <class kind="class">mets::solution_recorder</class>
    <class kind="class">mets::abstract_search</class>
    <class kind="class">mets::best_ever_solution</class>
    <class kind="class">mets::search_listener</class>
    <class kind="class">mets::termination_criteria_chain</class>
    <class kind="class">mets::iteration_termination_criteria</class>
    <class kind="class">mets::noimprove_termination_criteria</class>
    <class kind="class">mets::threshold_termination_criteria</class>
  </compound>
  <compound kind="group">
    <name>local_search</name>
    <title>Local Search</title>
    <filename>a00053.html</filename>
    <class kind="class">mets::local_search</class>
  </compound>
  <compound kind="group">
    <name>model</name>
    <title>Model</title>
    <filename>a00054.html</filename>
    <class kind="class">mets::feasible_solution</class>
    <class kind="class">mets::evaluable_solution</class>
    <class kind="class">mets::permutation_problem</class>
    <class kind="class">mets::move</class>
    <class kind="class">mets::mana_move</class>
    <class kind="class">mets::swap_elements</class>
    <class kind="class">mets::invert_subsequence</class>
    <class kind="class">mets::move_manager</class>
    <class kind="class">mets::swap_neighborhood</class>
    <class kind="class">mets::swap_full_neighborhood</class>
    <class kind="class">mets::invert_full_neighborhood</class>
    <member kind="function">
      <type>void</type>
      <name>random_shuffle</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>ga4f0e7f5f50243c834cdfb146a3c63c6a</anchor>
      <arglist>(permutation_problem &amp;p, random_generator &amp;rng)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>perturbate</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>ga8ce2d7b01990637ef429dd2dec49153a</anchor>
      <arglist>(permutation_problem &amp;p, unsigned int n, random_generator &amp;rng)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>swap_neighborhood</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>gadf750e2f7c7ff73f7d3e3d9bedc3e417</anchor>
      <arglist>(random_generator &amp;r, unsigned int moves)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~swap_neighborhood</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>ga5bb7936b6ad1ff51e8574996f77d457f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>ga9ece6da99a38121877de3e4f6c36293c</anchor>
      <arglist>(mets::feasible_solution &amp;s)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>randomize_move</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>gae36fd69f7106de490bab4d5fe527481a</anchor>
      <arglist>(swap_elements &amp;m, unsigned int size)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>simulated_annealing</name>
    <title>Simulated Annealing</title>
    <filename>a00055.html</filename>
    <class kind="class">mets::abstract_cooling_schedule</class>
    <class kind="class">mets::simulated_annealing</class>
    <class kind="class">mets::exponential_cooling</class>
    <class kind="class">mets::linear_cooling</class>
  </compound>
  <compound kind="group">
    <name>tabu_search</name>
    <title>Tabu Search</title>
    <filename>a00056.html</filename>
    <class kind="class">mets::aspiration_criteria_chain</class>
    <class kind="class">mets::tabu_list_chain</class>
    <class kind="class">mets::tabu_search</class>
    <class kind="class">mets::simple_tabu_list</class>
    <class kind="class">mets::best_ever_criteria</class>
  </compound>
  <compound kind="namespace">
    <name>mets</name>
    <filename>a00050.html</filename>
    <class kind="class">mets::solution_recorder</class>
    <class kind="class">mets::abstract_search</class>
    <class kind="class">mets::best_ever_solution</class>
    <class kind="class">mets::search_listener</class>
    <class kind="class">mets::local_search</class>
    <class kind="class">mets::no_moves_error</class>
    <class kind="class">mets::sequence</class>
    <class kind="class">mets::clonable</class>
    <class kind="class">mets::hashable</class>
    <class kind="class">mets::copyable</class>
    <class kind="class">mets::printable</class>
    <class kind="class">mets::feasible_solution</class>
    <class kind="class">mets::evaluable_solution</class>
    <class kind="class">mets::permutation_problem</class>
    <class kind="class">mets::move</class>
    <class kind="class">mets::mana_move</class>
    <class kind="class">mets::swap_elements</class>
    <class kind="class">mets::invert_subsequence</class>
    <class kind="class">mets::move_manager</class>
    <class kind="class">mets::swap_neighborhood</class>
    <class kind="class">mets::swap_full_neighborhood</class>
    <class kind="class">mets::invert_full_neighborhood</class>
    <class kind="class">mets::mana_move_hash</class>
    <class kind="struct">mets::dereferenced_equal_to</class>
    <class kind="class">mets::update_observer</class>
    <class kind="class">mets::subject</class>
    <class kind="class">mets::observer</class>
    <class kind="class">mets::abstract_cooling_schedule</class>
    <class kind="class">mets::simulated_annealing</class>
    <class kind="class">mets::exponential_cooling</class>
    <class kind="class">mets::linear_cooling</class>
    <class kind="class">mets::aspiration_criteria_chain</class>
    <class kind="class">mets::tabu_list_chain</class>
    <class kind="class">mets::tabu_search</class>
    <class kind="class">mets::simple_tabu_list</class>
    <class kind="class">mets::best_ever_criteria</class>
    <class kind="class">mets::termination_criteria_chain</class>
    <class kind="class">mets::iteration_termination_criteria</class>
    <class kind="class">mets::noimprove_termination_criteria</class>
    <class kind="class">mets::threshold_termination_criteria</class>
    <member kind="typedef">
      <type>double</type>
      <name>gol_type</name>
      <anchorfile>a00050.html</anchorfile>
      <anchor>a61116f509383ed86807529856bf4b333</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>random_shuffle</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>ga4f0e7f5f50243c834cdfb146a3c63c6a</anchor>
      <arglist>(permutation_problem &amp;p, random_generator &amp;rng)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>perturbate</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>ga8ce2d7b01990637ef429dd2dec49153a</anchor>
      <arglist>(permutation_problem &amp;p, unsigned int n, random_generator &amp;rng)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const double</type>
      <name>epsilon</name>
      <anchorfile>a00050.html</anchorfile>
      <anchor>a978c3af4bbeae20b952a5419b904acab</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::solution_recorder</name>
    <filename>a00031.html</filename>
    <member kind="function">
      <type></type>
      <name>solution_recorder</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a7a58f650eca66d71b23030cb24825e15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>solution_recorder</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a1a3082259340761f3cb96c4eecb1d733</anchor>
      <arglist>(const solution_recorder &amp;)</arglist>
    </member>
    <member kind="function">
      <type>solution_recorder &amp;</type>
      <name>operator=</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>aeca20f015a2bbadcd8fc2beb09ba0fc1</anchor>
      <arglist>(const solution_recorder &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~solution_recorder</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a055f8ec7e4fc1a971a736417833aaf75</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a3e0e4b5f620b372449af9cc3fb0b6dca</anchor>
      <arglist>(const feasible_solution &amp;sol)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual gol_type</type>
      <name>best_cost</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a11e6cb16b79401d575bb75e3cd0115a4</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::abstract_search</name>
    <filename>a00002.html</filename>
    <templarg></templarg>
    <base>subject&lt; abstract_search&lt; move_manager_type &gt; &gt;</base>
    <member kind="enumvalue">
      <name>MOVE_MADE</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a1e5ad66a15535902c8a0d71b9ce88560a97ca1cddb103101df3f5efd6afa909a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>IMPROVEMENT_MADE</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a1e5ad66a15535902c8a0d71b9ce88560a097dfcc9c9fd4a57815225d689ccd65b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ITERATION_BEGIN</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a1e5ad66a15535902c8a0d71b9ce88560a89508708b3905bfddc4dc4099cfb5eff</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ITERATION_END</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a1e5ad66a15535902c8a0d71b9ce88560a1f828a6d9da2b4b791e4467402690a02</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LAST</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a1e5ad66a15535902c8a0d71b9ce88560a76e99386020b09218bc569b6c597548d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>abstract_search</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ac8b0d53e92a4c7510f28d35a8d0153dd</anchor>
      <arglist>(feasible_solution &amp;working, solution_recorder &amp;recorder, move_manager_type &amp;moveman)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>abstract_search</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a8754f00b5cbd58f4dfb28120d5d7f9f2</anchor>
      <arglist>(const abstract_search&lt; move_manager_type &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type>abstract_search &amp;</type>
      <name>operator==</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>aa70d0d3f2c80939734aef1c38464fb0f</anchor>
      <arglist>(const abstract_search&lt; move_manager_type &gt; &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~abstract_search</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a7eb628da5c538bbe2551de7067bde94f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>search</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a9c57b09ce6efdb9c3dfc47bb1a38efe9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>const solution_recorder &amp;</type>
      <name>recorder</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a50203f63b48c2586a22bfea15f7eb50f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const feasible_solution &amp;</type>
      <name>working</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ac9ee333ef890fae2306fc6c05b895bbe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>feasible_solution &amp;</type>
      <name>working</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ab5af44f66b46c50a7eb984fa48a413a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const move &amp;</type>
      <name>current_move</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a28f68ef55ca98261fe9dbccd66bb30a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>move &amp;</type>
      <name>current_move</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ab3344b3a27baf680da3d084aa5916374</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const move_manager_type &amp;</type>
      <name>move_manager</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a34956d1b013e29e2e319c48bacb32ecf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>move_manager_type &amp;</type>
      <name>move_manager</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a45c11083e68c7c1f3cad2db072cb3b29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>step</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>aac584e821a8d787903a33f55abc2261c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>solution_recorder &amp;</type>
      <name>solution_recorder_m</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a0e83fc9a38ebb0e43a01e39a9f355571</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>feasible_solution &amp;</type>
      <name>working_solution_m</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a5c4dca8f8eb5c44b6a82850a1c2877c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>move_manager_type &amp;</type>
      <name>moves_m</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a21b7cc1546cea204ec302745a2414d3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>move_manager_type::iterator</type>
      <name>current_move_m</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a030ba3ca63ea155fc4f70972b1134560</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>step_m</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ac30e04104d2803c16bfc5ff905ec9d55</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::best_ever_solution</name>
    <filename>a00005.html</filename>
    <base>mets::solution_recorder</base>
    <member kind="function">
      <type></type>
      <name>best_ever_solution</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>ab3a64843b36a519b269ad5bdae7486dc</anchor>
      <arglist>(evaluable_solution &amp;best)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>best_ever_solution</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a7e6f8ac75a30ab8b9ba6d510f0e0ed9a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>best_ever_solution</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a3cba73c199f578fb2442645d34cbd373</anchor>
      <arglist>(const best_ever_solution &amp;)</arglist>
    </member>
    <member kind="function">
      <type>best_ever_solution &amp;</type>
      <name>operator=</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>ad0a65eb165caf5cf8c9a087e4b5d580a</anchor>
      <arglist>(const best_ever_solution &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>accept</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>acb8e2865720a67f8b8c8c5226a7cd586</anchor>
      <arglist>(const feasible_solution &amp;sol)</arglist>
    </member>
    <member kind="function">
      <type>const evaluable_solution &amp;</type>
      <name>best_seen</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>af4781567f936c0dca777715dacafbf59</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>gol_type</type>
      <name>best_cost</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a0c5a4eb445aca97cff5ed32b05804a91</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>evaluable_solution &amp;</type>
      <name>best_ever_m</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a3753647b3e068ad010bb92efcb8b4166</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::search_listener</name>
    <filename>a00027.html</filename>
    <templarg></templarg>
    <base>observer&lt; abstract_search&lt; move_manager_type &gt; &gt;</base>
    <member kind="typedef">
      <type>abstract_search&lt; move_manager_type &gt;</type>
      <name>search_type</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a94e1a1dee5505c36de77e2bf5ffbded8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>search_listener</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a0dd89258a285e8a0e2358bf2ccd7b96b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>search_listener</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a606c0e9e9285547f26f07e3cc8ed3df3</anchor>
      <arglist>(const search_listener&lt; search_type &gt; &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>search_listener&lt; search_type &gt; &amp;</type>
      <name>operator=</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>ac94e17533e096d66b01f942732172cef</anchor>
      <arglist>(const search_listener&lt; search_type &gt; &amp;other)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~search_listener</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a3b5d563ba96b2daf208d410686d5fac4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>update</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>ae81f1113d48d6946bb279f8c0bd2e63f</anchor>
      <arglist>(search_type *algorithm)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::local_search</name>
    <filename>a00017.html</filename>
    <templarg></templarg>
    <base>mets::abstract_search</base>
    <member kind="function">
      <type></type>
      <name>local_search</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>ad34c23dc83f359b45459a4d38425d75c</anchor>
      <arglist>(feasible_solution &amp;starting_point, solution_recorder &amp;recorder, move_manager_type &amp;moveman, bool short_circuit=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>local_search</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>af6601833d2600d2d3b482decbbc4b354</anchor>
      <arglist>(const local_search &amp;)</arglist>
    </member>
    <member kind="function">
      <type>local_search &amp;</type>
      <name>operator=</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>a7c7f3ae44d7fe6fe7ca2fc8dc08f09b5</anchor>
      <arglist>(const local_search &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>search</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>a5d214923f02f84ab2f9e7db71bef4b44</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>short_circuit_m</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>a1a6eb74b74877e4b76c7cb6ceca3dd06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::no_moves_error</name>
    <filename>a00022.html</filename>
    <member kind="function">
      <type></type>
      <name>no_moves_error</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>af2bcf287df786fea96c332728721ab21</anchor>
      <arglist>(const std::string message)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::sequence</name>
    <filename>a00028.html</filename>
    <member kind="function">
      <type></type>
      <name>sequence</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a14177f4a3aa54c1611747ab44356307a</anchor>
      <arglist>(int start=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>operator()</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a8f6e2b7ee95d0c3295ac55e83c68d945</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>value_m</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>aadb4b06f2bac6d9307d831cd59057454</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::clonable</name>
    <filename>a00006.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual clonable *</type>
      <name>clone</name>
      <anchorfile>a00006.html</anchorfile>
      <anchor>a7ea5694a64d4a3a38255273302caa2d0</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::hashable</name>
    <filename>a00012.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual size_t</type>
      <name>hash</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a6df9cb73c9540471b7bd3063f5064d1e</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::copyable</name>
    <filename>a00007.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>copy_from</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a921b1ddbd9341fd63def9454b90a617e</anchor>
      <arglist>(const copyable &amp;)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::printable</name>
    <filename>a00026.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>print</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>ab029eac06ab6bceaa0fbd9294a475376</anchor>
      <arglist>(std::ostream &amp;os) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::feasible_solution</name>
    <filename>a00011.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~feasible_solution</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>ab15b3260d5e1eec2a79e103347ca788f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::evaluable_solution</name>
    <filename>a00009.html</filename>
    <base>mets::feasible_solution</base>
    <base>mets::copyable</base>
    <member kind="function" virtualness="pure">
      <type>virtual gol_type</type>
      <name>cost_function</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>a9ef212cb6a07b57bf34d0af60deb6fad</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::permutation_problem</name>
    <filename>a00025.html</filename>
    <base>mets::evaluable_solution</base>
    <member kind="function">
      <type></type>
      <name>permutation_problem</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a8c23c755746873a10c81582bffb5d48b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>permutation_problem</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a8e8d83afe5be26c7000dafe31674efd5</anchor>
      <arglist>(int n)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>copy_from</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>afb6ec1359a68d87ff2a3f1648c684b8a</anchor>
      <arglist>(const copyable &amp;other)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual gol_type</type>
      <name>compute_cost</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a5ae9de2f07e547f9140f8b77ea9fc5bf</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual gol_type</type>
      <name>evaluate_swap</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a223eaad235680e4d4f3008ac7eeaeb82</anchor>
      <arglist>(int i, int j) const =0</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>size</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a2c0175fb407eae3f923ef8a0cd2fe124</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>gol_type</type>
      <name>cost_function</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a09a0dfc0dffd46dab4520c935f690ec8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update_cost</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a4dbc23d8f3e8e0fda5d085c75c87186c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>apply_swap</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a04b74de5cecfec914c53d5ff07129f3b</anchor>
      <arglist>(int i, int j)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::vector&lt; int &gt;</type>
      <name>pi_m</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>ab6271f55a56fd270e7421970f4b72e99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>gol_type</type>
      <name>cost_m</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a1279fab3b6f1617e1f9a968928e949d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend void</type>
      <name>random_shuffle</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>ac4d478a3e552a58242386c79f0026082</anchor>
      <arglist>(permutation_problem &amp;p, random_generator &amp;rng)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::move</name>
    <filename>a00020.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual gol_type</type>
      <name>evaluate</name>
      <anchorfile>a00020.html</anchorfile>
      <anchor>a69c917e66e3f48d7df0136b6942a2476</anchor>
      <arglist>(const feasible_solution &amp;sol) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>apply</name>
      <anchorfile>a00020.html</anchorfile>
      <anchor>ae80d24a084cd9a3841007f1e88c5ea12</anchor>
      <arglist>(feasible_solution &amp;sol) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::mana_move</name>
    <filename>a00018.html</filename>
    <base>mets::move</base>
    <base>mets::clonable</base>
    <base>mets::hashable</base>
    <member kind="function" virtualness="virtual">
      <type>virtual mana_move *</type>
      <name>opposite_of</name>
      <anchorfile>a00018.html</anchorfile>
      <anchor>adbd167932b672b3a902a88f45ddb0947</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>operator==</name>
      <anchorfile>a00018.html</anchorfile>
      <anchor>a7ff17d8c4ffa899dc3ba7279e7e829c0</anchor>
      <arglist>(const mana_move &amp;other) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::swap_elements</name>
    <filename>a00033.html</filename>
    <base>mets::mana_move</base>
    <member kind="function">
      <type></type>
      <name>swap_elements</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>a9d045674248a1409743b3fa558391a6a</anchor>
      <arglist>(int from, int to)</arglist>
    </member>
    <member kind="function">
      <type>gol_type</type>
      <name>evaluate</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>a667f84e19dcdf561abfeab5ef294fe78</anchor>
      <arglist>(const mets::feasible_solution &amp;s) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>apply</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>a84830a9f2283209c599e56d84f47e85d</anchor>
      <arglist>(mets::feasible_solution &amp;s) const </arglist>
    </member>
    <member kind="function">
      <type>clonable *</type>
      <name>clone</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>a30aebd1420716b678d1293aa8c567413</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>hash</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>ae970b5c31ed458490c81e801a5dd4527</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>a5dd9f46c03e9d860bdfa695826e01181</anchor>
      <arglist>(const mets::mana_move &amp;o) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>change</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>a0f4f4e09d0bbd6f282eb433844ecc5a0</anchor>
      <arglist>(int from, int to)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>p1</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>ad0b091837bf8081d2288a354b1cdb88e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>p2</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>af363135d28b4924d8b5efc48d7d2cffc</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>swap_neighborhood</name>
      <anchorfile>a00033.html</anchorfile>
      <anchor>ae2b104758cad3a6f30f1694c8cc6fffe</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::invert_subsequence</name>
    <filename>a00014.html</filename>
    <base>mets::mana_move</base>
    <member kind="function">
      <type></type>
      <name>invert_subsequence</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a1e4a701e9c5aa341079f88b7df86c560</anchor>
      <arglist>(int from, int to)</arglist>
    </member>
    <member kind="function">
      <type>gol_type</type>
      <name>evaluate</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>aa56f0dbebad7f4c706377150515aafb8</anchor>
      <arglist>(const mets::feasible_solution &amp;s) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>apply</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a75454c4b352912a61a8a6d71a9d7fd59</anchor>
      <arglist>(mets::feasible_solution &amp;s) const </arglist>
    </member>
    <member kind="function">
      <type>clonable *</type>
      <name>clone</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a5239072247cd8f22701f4771fc4d25d0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>hash</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a6aeb7966f9c19b35603aa9e004e71168</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>aa55486053c38cf365358e9d051a020c5</anchor>
      <arglist>(const mets::mana_move &amp;o) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>change</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a6be030bbf832a52528a349d9af6aed02</anchor>
      <arglist>(int from, int to)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>p1</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a7e032c3a48524ea28fca3cad2f09dd86</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>p2</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>ae971fa9cdc048e5bd34bd939e2f82de5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::move_manager</name>
    <filename>a00021.html</filename>
    <member kind="typedef">
      <type>std::deque&lt; move * &gt;::iterator</type>
      <name>iterator</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>aeefc958bebc97fe6b61ce19c0ef37f1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::deque&lt; move * &gt;::size_type</type>
      <name>size_type</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>afa4c4ed8f7f06f5b71d9bef68c11b36d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>move_manager</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a546406d667dc0d50b5e96ba9f26df457</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~move_manager</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a8043a2af47c32cd18d49549cc3075f26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>refresh</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>ab88fc9c9029575bf715a9d8563e77e62</anchor>
      <arglist>(mets::feasible_solution &amp;s)=0</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>begin</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a27ab567f8a638f5d6db4b39c452c8b31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>end</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a1418389c4f7b900ab3ca9d211b6cf9b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>size</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a790544f6312222086e9c053527485ee3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>move_manager</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a7556008e1145ace761974ad08dbf77e6</anchor>
      <arglist>(const move_manager &amp;)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::deque&lt; move * &gt;</type>
      <name>moves_m</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a764ca3061b1f019b5508fc03323fd501</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::swap_neighborhood</name>
    <filename>a00035.html</filename>
    <templarg></templarg>
    <base>mets::move_manager</base>
    <member kind="function">
      <type></type>
      <name>swap_neighborhood</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>gadf750e2f7c7ff73f7d3e3d9bedc3e417</anchor>
      <arglist>(random_generator &amp;r, unsigned int moves)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~swap_neighborhood</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>ga5bb7936b6ad1ff51e8574996f77d457f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>ga9ece6da99a38121877de3e4f6c36293c</anchor>
      <arglist>(mets::feasible_solution &amp;s)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>randomize_move</name>
      <anchorfile>a00054.html</anchorfile>
      <anchor>gae36fd69f7106de490bab4d5fe527481a</anchor>
      <arglist>(swap_elements &amp;m, unsigned int size)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>random_generator &amp;</type>
      <name>rng</name>
      <anchorfile>a00035.html</anchorfile>
      <anchor>a9ed0850c5bf2e1fdfdffdec5ee583dd9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::tr1::uniform_int</type>
      <name>int_range</name>
      <anchorfile>a00035.html</anchorfile>
      <anchor>a5439d5f8cdaf0114bc62663aa7f34486</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>n</name>
      <anchorfile>a00035.html</anchorfile>
      <anchor>abd0268f63eda5cf5b660c8dc6bdbf36b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::swap_full_neighborhood</name>
    <filename>a00034.html</filename>
    <base>mets::move_manager</base>
    <member kind="function">
      <type></type>
      <name>swap_full_neighborhood</name>
      <anchorfile>a00034.html</anchorfile>
      <anchor>ab114139d615f8fa00fe092103eae0c1f</anchor>
      <arglist>(int size)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~swap_full_neighborhood</name>
      <anchorfile>a00034.html</anchorfile>
      <anchor>a911f38a9ca80dab4bed155c5e463bc32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>a00034.html</anchorfile>
      <anchor>a97254a18422e21b2451bd6c129aec059</anchor>
      <arglist>(mets::feasible_solution &amp;s)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::invert_full_neighborhood</name>
    <filename>a00013.html</filename>
    <base>mets::move_manager</base>
    <member kind="function">
      <type></type>
      <name>invert_full_neighborhood</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>ae184823a35d026f49e5f1623921f9f02</anchor>
      <arglist>(int size)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~invert_full_neighborhood</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a822489092d1704f415bb71b1c5dc9e20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>aac0a457cbcd9a42f01b362a2d67f27ea</anchor>
      <arglist>(mets::feasible_solution &amp;s)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::mana_move_hash</name>
    <filename>a00019.html</filename>
    <member kind="function">
      <type>size_t</type>
      <name>operator()</name>
      <anchorfile>a00019.html</anchorfile>
      <anchor>ac0ceb9995dba5db46d57b413f11ebdf0</anchor>
      <arglist>(mana_move const *mov) const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>mets::dereferenced_equal_to</name>
    <filename>a00008.html</filename>
    <templarg></templarg>
    <member kind="function">
      <type>bool</type>
      <name>operator()</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a139ffe605862929679580715b01a856e</anchor>
      <arglist>(const Tp l, const Tp r) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::update_observer</name>
    <filename>a00040.html</filename>
    <templarg></templarg>
    <member kind="function">
      <type></type>
      <name>update_observer</name>
      <anchorfile>a00040.html</anchorfile>
      <anchor>a0f20603c0e9d109d2b8b26a4391ef588</anchor>
      <arglist>(observed_subject *who)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>a00040.html</anchorfile>
      <anchor>ace0cfbc6604dbad39b7557bca3a2b9e1</anchor>
      <arglist>(observer&lt; observed_subject &gt; *o)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::subject</name>
    <filename>a00032.html</filename>
    <templarg>observed_subject</templarg>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>attach</name>
      <anchorfile>a00032.html</anchorfile>
      <anchor>a580c481db07f883261c0a24f0f201067</anchor>
      <arglist>(observer&lt; observed_subject &gt; &amp;o)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>detach</name>
      <anchorfile>a00032.html</anchorfile>
      <anchor>af6b5055d74cb5671e46bb57a4109cf3a</anchor>
      <arglist>(observer&lt; observed_subject &gt; &amp;o)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>notify</name>
      <anchorfile>a00032.html</anchorfile>
      <anchor>a604a3c6cb19a470779170e29528f3e83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::set&lt; observer&lt; observed_subject &gt; * &gt;</type>
      <name>observers_m</name>
      <anchorfile>a00032.html</anchorfile>
      <anchor>a01924f78859ce56ff0448030e81166e0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::observer</name>
    <filename>a00024.html</filename>
    <templarg>observed_subject</templarg>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>update</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a059bb913e90c74ccc4a18d92919bb331</anchor>
      <arglist>(observed_subject *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::abstract_cooling_schedule</name>
    <filename>a00001.html</filename>
    <member kind="function">
      <type></type>
      <name>abstract_cooling_schedule</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>aa0cb8ac805aaf2efb1148dfb951ca3eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~abstract_cooling_schedule</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a9c0f63810de6b6d798c7bc0b06acf4c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual double</type>
      <name>operator()</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a3d7e29dc1c9021d89af69c4e77fb6cc6</anchor>
      <arglist>(double temp, feasible_solution &amp;fs)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::simulated_annealing</name>
    <filename>a00030.html</filename>
    <templarg></templarg>
    <base>mets::abstract_search</base>
    <member kind="typedef">
      <type>simulated_annealing&lt; move_manager_type &gt;</type>
      <name>search_type</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a35cdb6da4121c9ceef05c656a4b8d476</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>simulated_annealing</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a1a2ecf1a07d554778f14554f75ffac9a</anchor>
      <arglist>(feasible_solution &amp;starting_point, solution_recorder &amp;recorder, move_manager_type &amp;moveman, termination_criteria_chain &amp;tc, abstract_cooling_schedule &amp;cs, double starting_temp, double K=1.0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>simulated_annealing</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>aa39ceb672cb3a4ca38551be26770788d</anchor>
      <arglist>(const simulated_annealing &amp;)</arglist>
    </member>
    <member kind="function">
      <type>simulated_annealing &amp;</type>
      <name>operator=</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a0458a4a7f91d140cd05c6fa9b439a90b</anchor>
      <arglist>(const simulated_annealing &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>search</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>ac8303c4604e82f142cb888b02ba32048</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>current_temp</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>adc6b9e3775049f77fdbd7da9250c3089</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const abstract_cooling_schedule &amp;</type>
      <name>cooling_schedule</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a5228c7d29fbf55b4171408678060e6f5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>termination_criteria_chain &amp;</type>
      <name>termination_criteria_m</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>aea6f7cac85fb9e8a349524b15196763e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>abstract_cooling_schedule &amp;</type>
      <name>cooling_schedule_m</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>ae241e04e2263a89abe1295ec9e80f8f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>starting_temp_m</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a8c02f5e9d5d1df37c815049f69c3d3c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>current_temp_m</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>aa23862f401055f51a9f516b9292be189</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>K_m</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>af2c9473e87d1a48546ec668579ece874</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::tr1::uniform_real</type>
      <name>ureal</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>ace405f573be2de9103a34315210114a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::tr1::mt19937</type>
      <name>rng</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a8b6624e03afad9d4c3db88fc6bd90ea8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::tr1::variate_generator&lt; std::tr1::mt19937, std::tr1::uniform_real&lt; double &gt; &gt;</type>
      <name>gen</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a38ecb6b798ed7359af1ef1996240e017</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::exponential_cooling</name>
    <filename>a00010.html</filename>
    <base>mets::abstract_cooling_schedule</base>
    <member kind="function">
      <type></type>
      <name>exponential_cooling</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>a2f893b0d4dc0f6a6fbbdbffc79aad3a0</anchor>
      <arglist>(double alpha=0.95)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>operator()</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>aaccda66dc4f4459e82dc7a1771558c1f</anchor>
      <arglist>(double temp, feasible_solution &amp;fs)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>factor_m</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>ab20a86252f741b15812eeb9675cebc71</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::linear_cooling</name>
    <filename>a00016.html</filename>
    <base>mets::abstract_cooling_schedule</base>
    <member kind="function">
      <type></type>
      <name>linear_cooling</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>a8f97edfd54f03301ecbd54ee74127ef0</anchor>
      <arglist>(double delta=0.1)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>operator()</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>a188e87004c1fff03e6b9ad7011af461d</anchor>
      <arglist>(double temp, feasible_solution &amp;fs)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>decrement_m</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>a27c9e2285cd6a283b17c526f9a787ab7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::aspiration_criteria_chain</name>
    <filename>a00003.html</filename>
    <member kind="function">
      <type></type>
      <name>aspiration_criteria_chain</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>a4ac27009ba58181dc16fdeba7162418c</anchor>
      <arglist>(aspiration_criteria_chain *next=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>aspiration_criteria_chain</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>ac3b408d6651e2437ed4ac138fe752d5a</anchor>
      <arglist>(const aspiration_criteria_chain &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>aspiration_criteria_chain &amp;</type>
      <name>operator=</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>a72d6400eb21b3eb821892de5e5b0cd07</anchor>
      <arglist>(const aspiration_criteria_chain &amp;other)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~aspiration_criteria_chain</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>ab7e8f2b3fad2faff0df4e137399db0e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>a8bdc9f629dfe716d910fafdeb09a1ea5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>accept</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>aac409914a1f1d6cf374a8bd0158672d8</anchor>
      <arglist>(feasible_solution &amp;fs, move &amp;mov)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>operator()</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>a31de9a97168cbf98835adb6110df47bc</anchor>
      <arglist>(feasible_solution &amp;fs, move &amp;mov) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>aspiration_criteria_chain *</type>
      <name>next_m</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>ac2217cbf77ea17030d1f3bafe54f8a27</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::tabu_list_chain</name>
    <filename>a00036.html</filename>
    <member kind="function">
      <type></type>
      <name>tabu_list_chain</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a26e7c52ab636e9a84b95d48ee7f8a6a1</anchor>
      <arglist>(const tabu_list_chain &amp;)</arglist>
    </member>
    <member kind="function">
      <type>tabu_list_chain &amp;</type>
      <name>operator=</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a7347fdbe887194d970b0189531b8bf4e</anchor>
      <arglist>(const tabu_list_chain &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>tabu_list_chain</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a58a0088e572ec5b923339f2d34bd53b6</anchor>
      <arglist>(unsigned int tenure)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>tabu_list_chain</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a09efc3cb9bca2efb792c05a2e97d5930</anchor>
      <arglist>(tabu_list_chain *next, unsigned int tenure)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~tabu_list_chain</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a0b0751c6d11f1c219a04ddd7cbd64089</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>tabu</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a6ea0ee33b016bb9ea0dadcd225994a30</anchor>
      <arglist>(feasible_solution &amp;sol, move &amp;mov)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>is_tabu</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a9831e78b516f964c021af11619c5cd7b</anchor>
      <arglist>(feasible_solution &amp;sol, move &amp;mov) const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual unsigned int</type>
      <name>tenure</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a14c706b3d2a679de3e4b42eeec5dd421</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>tenure</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a8962ea0fa628f86d7b96b7737fc79cf3</anchor>
      <arglist>(unsigned int tenure)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>tabu_list_chain *</type>
      <name>next_m</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a67c5bfda6008cd463f4beac58e6e32d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>tenure_m</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>ae0bd990b1bcdcc1ffb0193183eb8ff0b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::tabu_search</name>
    <filename>a00037.html</filename>
    <templarg></templarg>
    <base>mets::abstract_search</base>
    <member kind="enumvalue">
      <name>LAST</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>afe3e8ac7120528773a2ccfc2ab6d5673a1b5651ce7149c88ba63fa340c32cda0e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>tabu_search&lt; move_manager_type &gt;</type>
      <name>search_type</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>a85e8ea6b3b7ec549930b959e11b5d453</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>tabu_search</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>a7ce2a0dea883851fb9c6b62355f90829</anchor>
      <arglist>(feasible_solution &amp;starting_solution, solution_recorder &amp;best_recorder, move_manager_type &amp;move_manager_inst, tabu_list_chain &amp;tabus, aspiration_criteria_chain &amp;aspiration, termination_criteria_chain &amp;termination)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>tabu_search</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>a12e94b4c2c51a862b6300d4c93ba3e88</anchor>
      <arglist>(const search_type &amp;)</arglist>
    </member>
    <member kind="function">
      <type>search_type &amp;</type>
      <name>operator=</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>aa0e710608cda4ec0623855bcec9919ed</anchor>
      <arglist>(const search_type &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>search</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>a1ab0fb202ee3171b5537b501496379a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const tabu_list_chain &amp;</type>
      <name>get_tabu_list</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>a5390d90291f6699a836a7ddcbc3763e2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const aspiration_criteria_chain &amp;</type>
      <name>get_aspiration_criteria</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>acb40e60b9857c9493ea3e77e4ff1c840</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const termination_criteria_chain &amp;</type>
      <name>get_termination_criteria</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>a5843df58766b33fbf529c5b216c8e113</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>tabu_list_chain &amp;</type>
      <name>tabu_list_m</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>a9a1d10ec3f41b018f59b8c3aa0ab7e8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>aspiration_criteria_chain &amp;</type>
      <name>aspiration_criteria_m</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>aa6dca29126777df16a6a2ffe577df0ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>termination_criteria_chain &amp;</type>
      <name>termination_criteria_m</name>
      <anchorfile>a00037.html</anchorfile>
      <anchor>ae55851a757e15da846e4f70b00c02fe4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::simple_tabu_list</name>
    <filename>a00029.html</filename>
    <base>mets::tabu_list_chain</base>
    <member kind="function">
      <type></type>
      <name>simple_tabu_list</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>acf40a93816b812b909d8c091eb5babdd</anchor>
      <arglist>(unsigned int tenure)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>simple_tabu_list</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a5d25561c383c65355e2f9aa8a45932f9</anchor>
      <arglist>(tabu_list_chain *next, unsigned int tenure)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~simple_tabu_list</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>ad8c203aa601bf363f0037c60c6bc5c3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>tabu</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>ac5a5ba0389d4e09042eb4efdf3266639</anchor>
      <arglist>(feasible_solution &amp;sol, move &amp;mov)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_tabu</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>ae8682e0f16434badf38adc55fe2fd05f</anchor>
      <arglist>(feasible_solution &amp;sol, move &amp;mov) const </arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>std::deque&lt; move * &gt;</type>
      <name>move_list_type</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>ae6a7eba6924e9fbd7e7b056f4c26ea89</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>std::tr1::unordered_map&lt; mana_move *, int, mana_move_hash, dereferenced_equal_to&lt; mana_move * &gt; &gt;</type>
      <name>move_map_type</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a0f732d6a1607f4391d1b461e366fc1a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>move_list_type</type>
      <name>tabu_moves_m</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a60a35ec6f3207da45b33b2513a974a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>move_map_type</type>
      <name>tabu_hash_m</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>adde59ad7324bdbe9a8bf3304144eb094</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::best_ever_criteria</name>
    <filename>a00004.html</filename>
    <base>mets::aspiration_criteria_chain</base>
    <member kind="function">
      <type></type>
      <name>best_ever_criteria</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a544908977ab02046ab5706ac760aa81f</anchor>
      <arglist>(double min_improvement=1e-6)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>best_ever_criteria</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a9dc1a25b2fae0511bc77804a23dafc8b</anchor>
      <arglist>(aspiration_criteria_chain *next, double min_improvement=1e-6)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>aabb4b56a4cf45a71d6d50ef0246d61ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>accept</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>adb3fc8bcb57c91ac0fa8922edd872d19</anchor>
      <arglist>(feasible_solution &amp;fs, move &amp;mov)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator()</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a2b6150933a0074c41df3d1f98c3b3853</anchor>
      <arglist>(feasible_solution &amp;fs, move &amp;mov) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>gol_type</type>
      <name>best_m</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a20607d1abba2c2d80773019ad58c0260</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>gol_type</type>
      <name>tolerance_m</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a53e1887b2b688f152a5db687a861b54f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::termination_criteria_chain</name>
    <filename>a00038.html</filename>
    <member kind="function">
      <type></type>
      <name>termination_criteria_chain</name>
      <anchorfile>a00038.html</anchorfile>
      <anchor>ab8072803ee53f230d9f557e10f9640ea</anchor>
      <arglist>(termination_criteria_chain *next=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>termination_criteria_chain</name>
      <anchorfile>a00038.html</anchorfile>
      <anchor>a0dd6cdfaace32e64df1944f27cd18da6</anchor>
      <arglist>(const termination_criteria_chain &amp;)</arglist>
    </member>
    <member kind="function">
      <type>termination_criteria_chain &amp;</type>
      <name>operator=</name>
      <anchorfile>a00038.html</anchorfile>
      <anchor>a6eb6c6c7d0be43914a0686c5f9740dd4</anchor>
      <arglist>(const termination_criteria_chain &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~termination_criteria_chain</name>
      <anchorfile>a00038.html</anchorfile>
      <anchor>a0dfb2f9bc6e3ce2e66bed297f86880cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>operator()</name>
      <anchorfile>a00038.html</anchorfile>
      <anchor>a56eda480ce42bf37cfb96b9fccbd9df2</anchor>
      <arglist>(const feasible_solution &amp;fs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchorfile>a00038.html</anchorfile>
      <anchor>a9f123fc4f4a35ef0183b9f6e80fb9cc9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>termination_criteria_chain *</type>
      <name>next_m</name>
      <anchorfile>a00038.html</anchorfile>
      <anchor>aaccffc670c01236af30df2c2e05f5e3b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::iteration_termination_criteria</name>
    <filename>a00015.html</filename>
    <base>mets::termination_criteria_chain</base>
    <member kind="function">
      <type></type>
      <name>iteration_termination_criteria</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>a1e3bdc8f993b0c6a46db54802ec32b1f</anchor>
      <arglist>(int max)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>iteration_termination_criteria</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>aa6184032fcb4d552d13b1f2a4f92cbb0</anchor>
      <arglist>(termination_criteria_chain *next, int max)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator()</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>a8117b69778d8a5078566f8da9eb70fdf</anchor>
      <arglist>(const feasible_solution &amp;fs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>a5527220ab4b7c669f0c1cdec1f8dc0b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>max_m</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>aa616d1fe17f9b7eba4befeb2d094e996</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>iterations_m</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>a582c374d42c008a2b752c21412066572</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::noimprove_termination_criteria</name>
    <filename>a00023.html</filename>
    <base>mets::termination_criteria_chain</base>
    <member kind="function">
      <type></type>
      <name>noimprove_termination_criteria</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a72cc3797e0adbc7a220f2cfe0a5fd902</anchor>
      <arglist>(int max)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>noimprove_termination_criteria</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a15b3cebd920a6cac39184271ee0643fc</anchor>
      <arglist>(termination_criteria_chain *next, int max)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator()</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a74ad983da758877b5b53abd38d5a0e93</anchor>
      <arglist>(const feasible_solution &amp;fs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>ae2290dc84c96cbbef4b54919b989b4c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>second_guess</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a7feed857ff0d05ea80c27b3ca95e0de5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iteration</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>ad9dbcee9964c52dfefed8683133e74c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>resets</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a38782dbf53b9f5656c5b8eedbd2e6af0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>gol_type</type>
      <name>best_cost_m</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a722210c52c463b7b640d3c9b9a933075</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>max_noimprove_m</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a34bf5314f498cd845336e417a294ea5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>iterations_left_m</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a8e57e33433f306d4a6ff654f6fb0cf6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>total_iterations_m</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a4695f8ea10d31804da0cdbb8b3376915</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>resets_m</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a2f2e65928447b65ebc32fd66803facd1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>second_guess_m</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>aaa85eb02a0f49931ba056efa8c596ac2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mets::threshold_termination_criteria</name>
    <filename>a00039.html</filename>
    <base>mets::termination_criteria_chain</base>
    <member kind="function">
      <type></type>
      <name>threshold_termination_criteria</name>
      <anchorfile>a00039.html</anchorfile>
      <anchor>a680a8b4381c9c4b1193b08705b477245</anchor>
      <arglist>(gol_type level)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>threshold_termination_criteria</name>
      <anchorfile>a00039.html</anchorfile>
      <anchor>a48bba59eb18d017a5b2fca8ec57a7409</anchor>
      <arglist>(termination_criteria_chain *next, gol_type level)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator()</name>
      <anchorfile>a00039.html</anchorfile>
      <anchor>a5e079a8968d28a7d0215716cdb8af6fc</anchor>
      <arglist>(const feasible_solution &amp;fs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>a00039.html</anchorfile>
      <anchor>a5516a6a9c634a7ee18578a794ff9b784</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>gol_type</type>
      <name>level_m</name>
      <anchorfile>a00039.html</anchorfile>
      <anchor>abb3ef57c300a3ad009bf39a1340b9584</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>metslib/</name>
    <path>/home/mirko/dev/metslib/stable/0.5/metslib/</path>
    <filename>dir_7c0537e212e451db095ba88f314b7e97.html</filename>
    <file>abstract-search.hh</file>
    <file>local-search.hh</file>
    <file>mets.hh</file>
    <file>metslib_config.hh</file>
    <file>model.hh</file>
    <file>observer.hh</file>
    <file>simulated-annealing.hh</file>
    <file>tabu-search.hh</file>
    <file>termination-criteria.hh</file>
  </compound>
</tagfile>
